
Dashboard - Tasks #36467

mgr/dashboard: Add a unit test form helper to easily test forms

10/16/2018 02:48 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: General   

Target version:    

Tags:  Affected Versions:  

Reviewed:  Pull request ID:  

Description

Things it should do:

Check for an specific error for a form field

Set a form field

Validate if a change is ok to make

Control if the form element is shown in the template

Related issues:

Related to Dashboard - Feature #25156: mgr/dashboard: Erasure code profile ma... Resolved

History

#1 - 10/16/2018 02:48 PM - Stephan Müller

- Related to Feature #25156: mgr/dashboard: Erasure code profile management added

#2 - 10/16/2018 04:05 PM - Lenz Grimmer

- Subject changed from Add a unit test form helper to easily test forms to mgr/dashboard: Add a unit test form helper to easily test forms

#3 - 10/17/2018 10:51 AM - Ricardo Marques

- Status changed from New to Fix Under Review

#4 - 10/22/2018 11:01 AM - Volker Theile

https://github.com/ceph/ceph/pull/24633

#5 - 10/31/2018 11:00 AM - Stephan Müller

- Status changed from Fix Under Review to Resolved

#6 - 04/15/2021 05:25 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 132 to General
